package com.asset.common;

import com.asset.domain.Result;
import com.asset.core.enums.CodeEnum;
import org.springframework.validation.BindingResult;
import org.springframework.validation.FieldError;

/*
 * @author xiaol
 * @date 2019/12/25
 */
public class ResultUtil {

    public static Result success(CodeEnum CodeEnum, Object object) {
        Result result = new Result();
        result.setCode(CodeEnum.getKey());
        result.setMsg(CodeEnum.getValue());
        result.setData(object);
        return result;
    }

    public static Result success() {
        return success(null);
    }

    public static Result success(CodeEnum CodeEnum) {
        Result result = new Result();
        result.setCode(CodeEnum.getKey());
        result.setMsg(CodeEnum.getValue());
        return result;
    }

    public static Result error(CodeEnum CodeEnum) {
        Result result = new Result();
        result.setCode(CodeEnum.getKey());
        result.setMsg(CodeEnum.getValue());
        return result;
    }

    public static Result error(CodeEnum CodeEnum, Object object) {
        Result result = new Result();
        result.setCode(CodeEnum.getKey());
        result.setMsg(CodeEnum.getValue());
        result.setData(object);
        return result;
    }

    public static Result Validated(BindingResult result) {
        String errorMesssage = CodeEnum.PARAMETER_ERROR.getValue();
        for (FieldError fieldError : result.getFieldErrors()) {
            errorMesssage += fieldError.getDefaultMessage() + ", ";
        }
        CodeEnum.PARAMETER_ERROR.setValue(errorMesssage);
        return error(CodeEnum.PARAMETER_ERROR);
    }
}
