package com.asset.controller.system;

import com.asset.common.ResultUtil;
import com.asset.domain.Result;
import com.asset.domain.system.Area;
import com.asset.core.enums.CodeEnum;
import com.asset.service.system.AreaService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/10
 */

@RestController
@RequestMapping(value = "/area")
public class AreaController {
    @Autowired
    AreaService areaService;

    @GetMapping("/getAreaList")
    public Result getAreaList(int id) {
        QueryWrapper<Area> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("pid",id);
        List<Area> list = areaService.list(queryWrapper);
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }
}
