package com.asset.core.jwt;

import com.asset.core.filter.TokenInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.ArrayList;
import java.util.List;

@Configuration
public class JWTConfiguration implements WebMvcConfigurer {

    private TokenInterceptor tokenInterceptor;

    //构造方法
    public JWTConfiguration(TokenInterceptor tokenInterceptor){
        this.tokenInterceptor = tokenInterceptor;
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry){
        System.out.println("*****");
        List<String> excludePath = new ArrayList<>();
        //对以下资源请求不进行拦截和验证
        excludePath.add("/user/register");
        excludePath.add("/upload/oss");
        excludePath.add("/area/getAreaList");
        excludePath.add("/job/getJobList");
        excludePath.add("/user/checkMobile");
        excludePath.add("/login");     //登录

        registry.addInterceptor(tokenInterceptor)
                .addPathPatterns("/**")
                .excludePathPatterns(excludePath);
        WebMvcConfigurer.super.addInterceptors(registry);
    }
}